> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Get an instrument query

GET https://{tenant_name}.benchling.com/api/v2/instruments/{instrument_query_id}/query

Get an instrument query

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/instrument-queries/get-instrument-query

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `instrument_query_id` (string, required) — The instrument query ID

## Response

### 200

OK

- `command` (string, optional) — The command used in the query
- `connectionId` (string, optional) — The connection queried
- `createdAt` (datetime, optional) — The time the query was created
- `id` (string, optional) — The ID of the instrument query
- `info` (string, optional) — Additional information about the query
- `params` (InstrumentQueryParams, optional) — Parameters used in the query
- `status` (string, optional) — Status of the query
- `values` (InstrumentQueryValues, optional) — Values returned by the query

## Errors

### 400 Bad Request Error

Bad Request

- `error` (BadRequestErrorError, optional)

### 404 Not Found Error

Not found

- `error` (NotFoundErrorError, optional)

## Types

### InstrumentQueryParams

Parameters used in the query

### InstrumentQueryValues

Values returned by the query

### BadRequestErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)

### NotFoundErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)
- `invalidId` (string, optional)

## Examples

**Response**

```json
{
  "command": "string",
  "connectionId": "string",
  "createdAt": "2024-01-15T09:30:00Z",
  "id": "string",
  "info": "string",
  "params": {},
  "status": "string",
  "values": {}
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/instruments/instrument_query_id/query"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/instruments/instrument_query_id/query';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```